修改FTP、SAMBA的用户名密码后，重启网关，设备登录用户名恢复访问

04/03/2025 10:44 - 天琦 刘

Status: Closed Start date: 04/03/2025

Priority: Normal Due date:  

Assignee: 天琦 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: emei_boot_ker_fs_fwk_2b7533b8 复现概率: 100%

Description

测试步骤：

1.    家庭网关长按恢复成出厂状态，配置成网络连接配置方式一（不进行任何插件配置）,修改家庭网关的用户帐号（useradmin）的密码（如改为pwd123）；

2.    将PC1下挂到家庭网关LAN1口，查看能否使用步骤1修改过的网关用户账户访问家庭网关的FTP server及SAMBA服务；

3.    查看家庭网关上网WAN连接获取的公网IPv4及IPv6地址，在公网使用PC2分别访问这两个地址，查看是否可以使用步骤1修改过的网关用户账号访问家庭网关的FTP server及SAMBA服务；

4.    通过智能网关及应用管理平台修改FTP server及SAMBA的服务开放范围及账号权限如下：

    FTP Server：开放范围修改为本地、远程均开启，帐号（用户名/密码）修改为“ftpuser1/ftppwd1”和“mytest/ftptest”

    SAMBA Server：开放范围修改为远程开启，帐号（用户名/密码）修改为“samba1/sambapwd”和“mytest/ftptest”

5.    在局域网通过PC1，依次使用步骤1修改过的网关用户账号、“ftpuser1/ftppwd1”、“mytest/ftptest”和“samba1/sambapwd”4个帐号访问FTP

server及SAMBA服务，查看能否访问成功；

6.    在公网通过PC2，依次使用步骤1修改过的网关用户账号、“ftpuser1/ftppwd1”、“mytest/ftptest”和“samba1/sambapwd”4个帐号访问FTP

server及SAMBA服务，查看能否访问成功；

7.    掉电重启家庭网关，重复步骤5；

8.    重复步骤6；

9.    短按恢复家庭网关出厂设置，重复步骤5；

10.    重复步骤6；

11.    长按恢复家庭网关出厂设置，重复步骤5、6；

12.    查看能否在局域网使用默认网关用户账号（账号信息见设备标签）访问家庭网关的FTP server及SAMBA服务。

预期结果：

1.    步骤2中，能够使用步骤1修改过的网关用户账户访问家庭网关的FTP server及SAMBA服务；

2.    步骤3中，不能访问家庭网关的FTP server及SAMBA服务；

3.    步骤5、7、9中：

    步骤1修改过的网关用户账号：不能访问FTP server，不能访问SAMBA

    “ftpuser1/ftppwd1”账号：能够访问FTP server，不能访问SAMBA

    “mytest/ftptest” 账号：能够访问FTP server，不能访问SAMBA

    “samba1/sambapwd” 账号：不能访问FTP server，不能访问SAMBA

4.    步骤6、8、10中：

    步骤1修改过的网关用户账号：不能访问FTP server，不能访问SAMBA

    “ftpuser1/ftpp wd1”账号：能够访问FTP server，不能访问SAMBA

    “mytest/ftptest” 账号：能够访问FTP server，能够访问SAMBA

    “samba1/sambapwd” 账号：不能访问FTP server，能够访问SAMBA

5.    步骤11中，步骤1修改过的网关用户账号、“ftpuser1/ftppwd1”、“mytest/ftptest”和“samba1/sambapwd”4个帐号均不能访问FTP server及SAMBA服务；

6.    步骤12中，默认网关用户账号能够访问FTP server及SAMBA服务。

实际结果：

1、步骤6、8、10中wan侧无法访问samba服务

2、重启网关后，可以用网关用户账号密码登录ftp服务

History

#1 - 04/03/2025 14:41 - tingwei huang

- Status changed from New to Resolved

- Assignee changed from tingwei huang to 天琦 刘

下个版本验证这个问题的时候，需要重新预配置

#2 - 04/14/2025 15:09 - 天琦 刘

- Status changed from Resolved to Closed
